## qspot 0.1.0-5

=== debian/changelog ===
qspot (0.1.0-5) unstable; urgency=low

   * Fixed (again) incorrect version number in About dialog.
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Tue,  28 Sep 2010 13:33:00 +0000

=== debian/control ===
Source: qspot
Section: user/multimedia
Priority: extra
Maintainer: Andreas Enbacka <aenbacka@gmail.com>
Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20100928-2), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1666

Package: qspot
Architecture: any
Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20100928-2), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
Description: A Qt-based Spotify client based on libopenspotify for the N900/Maemo5
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAABl0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYz
 LjUuNUmK/OAAABc4SURBVGhD7Zl3VFRZtocPIGYRsdVWu9VuIxgwYEQUUZIE
 CSIgUYIgiIggOUuGIhQ5SM5ZVLANUOQcJeckoAL6tE1os9++jHa32t0zs2bm
 j/fW1Fq/dW+Vl6r97XD2PkdC/j+8rB8YMXkUOC30ZXix+xZ4s/sV+LDTCrzY
 7O/bsf6f4LPON5zllu/wrQ/DY71vgdcGhNjgU+D9I43htTy7NXs+AMxCsX68
 UvcsvxMz3lNi+jP9x51g+eAiq3OB9WpvhhunD8OTy6fAiwshtmIkOCMqwtd3
 jncu/zD9gQMNXIJiRy1GsaEWohag5qHmfNTsj6CfID+D+4/AWBRoszoVWKzx
 ZrhyIwQ3RoLbt4C2EyF20Rm+O9Ma07gGnw/+OD09/QMatxb1PWoV6lvUctQ3
 H+EosEUoKmpzPwJ9ihwF9CvMvxXEokBjtgvDfD2t0JkHIVBuezES+xBinx/D
 e39gUcC+m805u5+8fLwbjeBGbUNxoTahNqDWob5DrfwIREWLitSXMJ/Sj7l4
 oIg5qS6R6d8CYsXQmOPMMNlMK3Tk9WY4oVwO+zDcD/syPPj8Cjz56AzaEX+G
 D19GYzrf05+fHMFI8KJxB1A8qF2TUwM8DS/SjhdO+kncGXeQu/XE4vSNJ1el
 sx5fEb/5xOLQnXFHrqaX2VSUfo3K1Icplmdvns1E5F+GsCxUneNUaMRJK7Q7
 hhDHvBnOAj4MVwHfQrfjvoUeJ/wYnoIIgfI5gZHgH30xcuSX6V/4Jqb6jj+Y
 cDdKHdOJDR8Qr/LrOTTs1bVzyq19C1Bybd/8zq2ds9urcxeD3nMoxLvl1OnG
 FxlUHVEgn1LrX4cwLZSb41xotMOryEbYu9Ae5SjsU+gk4lfoKupX5CbqV+hx
 kl7oKeZf6CUeWEQXy2rKFKyduHU6cVQjP2RA+Klr+8ZfrBoWg1ndPLhaOwuM
 a8ivMqllxs/ngEX9ArCs5xi1qObKuXhXcP9HCKrgKZB/rTYsihTnOxcZ8NCK
 LCW8i2wkvYvsJH2LHE/5FV2Tohc7yfgXu8rQi91k/Ys8ZQNLPBTSuz1ptx/b
 jdI694Bp3ezPDP698X92b1LJMS2atMpEIfHUmi+iQRX6P59SdiVn5zsX6+2j
 FZvJ0ootZX2KbeR8S+zk6CX28gEljgoBJdcUA0qcUW5n0zu9PGqfpYw1Pk+D
 2J4zYNOwFAGY/mkI7QdzXu0NZAs9Ey+z9oto/Lpa/cO1YVd6Zr5ziQ4vreSq
 Iq3E/KxPiaWSX6m1sn+ZjWpgmR3KXj2w1FE9uMLhfMl42FDT8wxomEyFyvEI
 SOhVBuv6JXClioDOPQIKSQRkYwicjiWgkkXAsOy3dPp9RIyqmEAqlfXnbbTl
 hghA9ZNPveSfqw2LMiEm69JTi11KNAVopVfUvctMNHzLTDXoZeZaAeWW2oEV
 lueDK2x0Qipt9HKGne7VPIuH8qdhUD0eixApUDMRB7HtaiBMZ4Z9DnMneN1X
 1siGHwnWT5az1Y4Td5ANWZ+pk7u440oly9SXKWVQQmCnL/M78Whxammmllyq
 KVIF/qk2/n40KACbMkl2lzJ1IVrZpfM+ZUa6vuXGuv4VV/WCKs30g6vMDUKr
 LAyjm83dCsZ9R/PHPKDwsQ9ChM4YXzQUDmbpJ2G746IhjaQz7kPPh6TQAGHU
 CRQ/6vCt5hA5h8rtN0xqmL9KNYU0ZvjWYXFQw0gD1RAX/0E0ZiD+Mp2sy0QX
 uZSrCNLKL+r7lBsa+FUYXQqoNL4cXGVyJbTa1CSsxvRqep915t3H197dHjaH
 +6NOUIQQpY+DwSdfHbid2D4ox5/xj6+O1eyf7JfGPiGGPyqCEkIdQx3pnCwR
 c2hcN/5HUfjBlrX5dPzpg/gc1SuoBkilFNXNqfGEan5/vdTaVYoscqlQOOld
 oWvsW6lv4l9pcDWw2tAspOayZViNkXVk4xW37GGLxvShC5AxoAe3hs3g7sg1
 SGszA3H6uumDvpwlgUVetgGFPlaR5RF6HU86TmOjksQf/gQiiPcCiUNqYZYN
 bF9F4SCN+X84vTYZ4TNUJ1+Gojo5NWtREJ9mqz+HsKs6we5aeUbap1Lb3K9K
 x8q/Ws86uMbANrTWwD687pJjbOvl4LThi6OxvfKQ2KeCEPoIYQ4eDCn0PvuL
 8+lnYoJL3J0Rwimg0NcxtirmUtNIkwJCUOkkgTpJpVXJRICRU8van7+MgnAE
 md7iujK4eax5PT5HzVhUOlEQVF1QxU1BzCyxlL5KJ7tq/iWuVTKyPlUatvRq
 bfvAmvOOwbUXnMLr9dyuN1x0j+u4GB83qPw6rEsYorqlIalPDTIHDcAgYx/s
 8VjRZ39PLzS03NkTITwDi2keAYV0F4S43PGkXQHTSQZ/lIqGePvPP2l5d/J0
 fdnsZHDl4nTiyI2ojtiHz61FUXPVit+lE1XYf55KNjX7FrrWSMr5Vqs6+9dq
 uAbVaXmENmh7RTTq+EQ1XfBL6NK7EdYrCr6tPBDcIYAQUpDQpwTSIevgaMDG
 pqCKq6HXqxwCwiqc/INL3OiBRTRfnGK9IsrCTTufdJzFSJxGA6QH31RrhPQK
 1ZnXz/ssjZSyEcCRrcaN4UbVDDUg/oiiJl4qnaiaoFanX1PpqwjY1nMvdKsV
 U/KrVfIMqFOlBdWr+4Y3adAjH2oFRjdrh8T1aDICuvnArXkz+LXtg5DOExDR
 JQ4CXsunT0burIltML8eXWsdHlltHxZW4RyKkQgOKKIF4uzkF10ZZdb4qFEF
 IeTGp3rUogdOF1o0LPwMQPMOgS0O87vt7tnJoqHbUVtQn9KJKmyqHj7NT1+v
 SI71PEvc60TO+dUp+ATUK/mHNKoERjSph0Q1nwuPadWIjO5RrPbq2AnXmr4H
 z5at4Nd+AALbjwCfK8eUXNLBysRm4/i4RrPY6DrrmOvV9tGYTteDSzzCAwu9
 wwIY9IDI8uu2DY8a1CanBtUThlULrL4oZC0KwG7uqGm2qcbQ0ND+vr6+PRUV
 FbvCw8N3Ojo6br1y5cp6TU3NVbKyskv4+PgWbN++ndrq/gbiWL9rqXv9CXX/
 ermgoEaF0LCHZyMiW5SjYlrVYuPa1BKu98jUurZtBJt6DnBqWgseLVzg3bob
 AZZMKacfqk1tu5SV1GyUntBkmhpbb5mMEPHhFc5xwaUeMQGF3lEBDL/roSUh
 ztUjBboIwLBqXPxZBCiAzTZznyo4K9g6OzuroNGK1tbWsoaGhqJaWlpHFRUV
 ecTFxTcePXp09Y4dOzjWrFkzDwFm/Qph28DF7tEgoBHQKBMe0nQmKrxZISaq
 9WxCXLtySkK7Slpkj1SDU+sPYFE3H+waliHEupl04nVhm1LLPNiU2al3O639
 0q2UVqOchKar2TH1VumYTqmYTkkYiQRcXuP8GfToqOog9+g+1UrrRvavADZZ
 zZmUMpeiWVpaGpiYmOjp6+trqampnZWTk5NE4wXwtZuHh2cTvlYuW7ZsIRo/
 +1cA+6b1i72ajukGNUnFhGJLud5yJjG6TT41vkMxI6nzbFZk76nmay1rZkZl
 y/qFCLEcnB6uhaNei9+fyz7Ykt2jcz+rS+9eRofB3dQ2o7zEh1dvxtZbZUdW
 O2SElrukBpV4JtHzvRPp+W5Zqb0WQ+4tWz4DUMUi3mQ195nSNSWaj4+PHo1G
 0/bw8FC1t7eXNjMzEzQwMDikrKy8DSOwgYuL6zsODo7FaPwcFMtMQTs3c3LQ
 HvJdCGqWSAxrkUqJbJPNiOuQy07skr+Z3K2QG9cjU+nUum7mRykIi7oFYNvw
 DRynL5hWTOHuzenTKsrp0y6+0aNbmNmlX5Dadvle0kOTO3ENlrdCS21yaHlW
 OVdDLt656KVe81N30Kt72MldHm7A72KZ+c7TuIxyX1vW7Z3jbVZdXa1SVVWl
 WF5eLl1UVHQiLy/vYGRk5E5jY2MuCQmJjdu2bVuzdOlSdjSbSqO/Abg2b+Hw
 aT6kHdxyMiW8TSItqkMqM75TNiep+3RuSs+ZO0l9cpVu7Zs/fGpAV2tZEWIh
 CIXMhdMJnIM5feoltwc0S2/1a5Xm9OoUZ3XpM1JbLj2IrjK8ZxutVqhmKVkp
 fUGoVsdBsaN8NPZD47N0yB22BI9mzhmIk+EEDnj+UHe/877e27dvz6BkUeJv
 3rw58vLly91tbW1cWMjcQkJCO7i5udcvWbKEA82e/xtAy6YlPi0HtENaRdKu
 t4tlxHRKZid0n7qV3CuTl9Z3+m5K/+kKr47trz95jJr/TRHiTOocEL/+w1hq
 l2JF7uC58rxBjYrcAc3yzA6tsuB7ShVXfE/WyxvwtYgo728TUjzYYhmoPdj0
 PAuanmVA/WQy3EYIV4zEYS8CAgE7GV3jXdq4XCqizqCoLi7w/v37/bgi7VZV
 VeXDFDqAK9Bmdnb2bz4DcG5dw+7btlc3rF0oI7JTNDu2W+xmUq9kXlq/1L2M 
 AekH6QOypfSuvRPU1vBTFEwQ4kL+LOALYH/lXyfWkDekVpk3qFqd1a5U6xwv
 0qpuuq9XQn3HgKgSd5+I0p4uWb0jzbc6aC8eIkDDs1SgolCP4/jtAVvYbT97
 Sj5OOhENVkepoJRQcr/88otoS0vLCSsrKykRERHpw4cPH9m9e/fWlStXrviY 
 Qn9bSl1b13L4te+5EN5xPDO6Szgnvufk7ZQ+ibvpA5IPsgalCrIGZYrCe/mH
 vmxAl8uZ4Hgk67T5g0NdeUPK1Ul1cg32kcc6FQ12DEuocY6IqWx9JKayfeDs
 5UMdnlkanbXPE6arJ6KhdiIeAdJmIBIbLIDbceGzSzcMfN69f6eGhp9DUVfF
 wcFBGU9PT3V5eXk9QUFBxSNHjpzYs2fPju+//56KwG/Hnu5t65b4dezUjug8
 lhnTLXg7sVfkTmq/2IPMQYmC7CHJwpxhqeLkIYk2u6ZvvtqU6OSzgGDM8pfR
 ZaeajGkHe0/rco2Kq256LKG6+bG46pZRNdN9ff55qh0FY/SXpeNBUPyYDpVP
 I6BuMhGqn8aBUTI/cLmsHPO47+5fO1RzHmcnyniNiYkJdT8/v8u4+lhLSkpe
 FRYWVuXn5xfm5eXdhlcq/38b6jw6Vi/y79xxLrKLLzu2RyAvqV/wXvqgaEH2
 sFhxzrB46a1HkmU3H0lV+nftefZHG/XLZXNBJnTta/mrWyekz3OOy+punVC8
 tGP8osvhJ/G12mP3njq9u//YGXIfWeFewgUh/KDiaThEVOrDEfcl0xKRElXY
 J1KCi4O9S9pLdPIZ+cZubm4uSkpKdCkpKY+TJ09aioqKqsvIyPDb2dmtQri/
 rT6fXu5dyxb5d23VjOo+fDO+j/9u8sCJBxlDwkU3HomW3hwRK781IlGROyJZ
 kTok1m6OS+gfQZjXsYFlMR6v3OR565R74q03Q/JtXIf6VNqwznTqoBYk92tA
 9pAh5D2yhvxRN8jpdgD16ztgu+uKSfd7zpm+933S3XLc0vXd9K6r6asFn1U6
 G4VNLPTUqVPeGAFLXV1diaCgoC3Dw8PUcEd14c8AFgd2c2lG9Ry6ndB/5EHq
 oAAja1ioJGdEpOL26Mmq3FGx6txRiaq80VPV/u07Hv/R1pCCMq1jBeuGJeDc
 /AN4tG4FnzYeCGjng7BOIYjukYWUfk2EMII7j2wgrEYb+Gir32qmyJS7Zttl
 Gwcb5WnYnysUVhGqPibLny8oIZgsLS0dhinkbGFhoVlaWrp7cnKSGrOpwe5z
 AO/uFWxBPVvUovv25yYO8BWkDfEX3xg5UX5rVKgqd0ykJndMtA7vm26MCLSm
 DvH2ONevfGVU8fX+loKgDrLM8YCLOm6hhj8Pavhr2z8zwcb0yM1EImvQEPuA
 NQTXX3xvcUN+QMaCt41feU8Hn9zeDj7ZQ60C8seaTqqJFmgaaXglpSWpjI6N
 UntrThQF8HUE6D3fzQ/q2aQe27/vXvLg4aKM4aNlOaMCVTdGjj5MH+Hpyxjb
 PJo6tup5wgjH2/jRBR/CemaD6U8soH2HGYzwOOXLlKL6hTnOTVS3dn6Ic1MT
 J7jW7sJIiMycJVGRyBkyxkjYQ2K7BehHHJ8+fmnNhz0qbG95dZc9P2H84+Oz
 nsc6HDOvJt6oyzj/5OUTCmDrxz3C1wC+3asXBPVu0Igd4MlPGeItTR7a1xj3
 aO3TtHH21xmT8z6kT7JMJz4hED1CIHiQgEsrnvng2c8eXVxGXZlAHkeB83gm
 ZFD6O5hqFjAsmgeaWWwgG7YIROjzwbPhAIR3nUQIeUgb0EEIE/hpxB7uDLpC
 Yr0VWCWLg2LAfFBJZplWyZz/XiVr5XPtLJ4W158uhw+ODVCbfmqT8wcR6F3B
 Ftq34Vz04JbqxLHlEzkvZk3ff02AgSpCKVcywZZ0FtiUygrbsPvuSJ4L24Pm
 wUadObBKZBasEmaGzerMwG3ABPuvMMFBYxwNUHtRXJcIrFIjsOg4gW3Ki8CW
 wQ3B7YIfI6EFNzASd0ccgDHmBSVPAkA16jhwmeHf2xMQDiAgkUBALI2AfOqm
 sSs3FRxyWzOo48jPa4Det4KN3vOtacbk/JcFb5ig/C0z1EwtgPopDmiYWgml
 r9fD7WdbIGViEyRNcELsU04IHF4PxkUrQYLOBvtM5sA2nVnAdQ5BVJhgoxKB
 DWdRimTmfrMqCiG2aTHBUdsFcClnIxb3YYjErSmVTjeHTBHCcQbCOEMG5skR
 mMtHYDFeN7kR4EkksB1BdicsfaWUKUXH8eLz/7uj9y2fHz02J6toikDV1Cxo
 er8O2t7zQ/t7IWj7cBwevueFhOebQaZjNRxo+A4O1q8G3toVwFvBAbz5i2D/
 rbmwN2kW7Apngh109DoNDXcm8CN6ca0NgdVWBFaYElh6mQC7NoHlSqwgG/IN
 uDRw4dZUDNIHdD8e1TiCUYYELDcksAaf3YDftRFTdQ0eUy7F6+Jo/Cx+7Wuu
 pE2yny2j1JvwxyS6GAEq0fNV77mgZGoD5L9jh/vvmOHBOwIFqLsYnexXzJD5
 ignSfyaQ+ALr4jmBkHECPqNYG1gftj1YB20E9BoJaNZirVQSOIu1IV9I4NQt
 AoLxBA75oGd1sIZMWEEzeTXQG4QhqUcDMvsvgVr0IfgGU2idL8LHEfgWxY7G
 z0XjWSMJcESzPV0Tt0ryKwCbTrI3/hnpz3jNDGlvmCEdcz8TlfOGwG1ULirh
 JQF3NNblKYFrWNR2YwSssbDNhglc6SdwEY3X6sAD3oeYu3UEjqHxe4tw1r+P
 UclFo9PRqAgCK3H6XG6JXr2AwvQ6YMeOuc8Jhhl74YALB7B7EFiGRrOh8fPQ
 +6xoPDMazxLJ8mRp5FLjr4z/9IFZDxG69oiUhDwnH6LQ2Fj0cDxeU9Db6a/+
 do1Cj4dNMEHAEybwGmFGrzODQy8zWHQwg0kLExii5y+g57VxeVUvR+/jAa4c
 QkgxCIg8IMCPIHuSMTWwQL/DNFtqTmAhptVSbWZYZcYKHP5MMA8Nno3Gz0II
 ZrxnisL3kawtLOEsyouuL6K2k3/+EiklzAr15IRpP8my7Sfthg/JC7liMn0i
 D4swmQlWhjLDYjoLzPWcBSzXZgGxQVmwADFhBmLIBESfADmP0sAfxsJlUUYP
 YiHPVSGwAN8v0UXvX8HUwLpYfg0Nd8UVCiMyzx8Nxugwo8eZYsg0iSYvSBTp
 ZIliyWYOZ1Ym/mTuXxr+5T9yhpM537uSvYssiTa5SoLIFcIgl0k/MSGvmUzI
 NKsFFpUDGuCEhuBKsdIdhdfl+H4pFu5iEwLz9dBzFIQsGiWCUPyooyhcYSgx
 HUODhVEKZJrZhLxiCiC9JIbcR+NDSCS6IozsxV/+a4//Q1Qy+CUqZB16dSfR
 IcILLIj+ukhC475J8nbfIZW77pO27ffJANd9MrrxLhlfl0uerbpBXixPIy/Z
 48iLhcHk2exr5ClGZJgcI13kIGlEFZD9JIPsIb4oHSJAxIk52YUAa9B4NkT4
 6yP1f8jw/z70Xw/8XQ/8L45K4rrGCCgEAAAAAElFTkSuQmCC

## qspot 0.1.0-6

=== debian/changelog ===
qspot (0.1.0-6) unstable; urgency=low

   * Year not displayed on Album View in case not available
   * Fixed initial queuview state handling (Play album in QueueView).
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Tue,  28 Sep 2010 14:36:00 +0000

## qspot 0.1.0-7

=== debian/changelog ===
qspot (0.1.0-7) unstable; urgency=low

   * Minor fix to updating of buffering progress (pre-buffering mode).
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Wed,  29 Sep 2010 12:02:00 +0000

## qspot 0.2.0-1

=== debian/changelog ===
qspot (0.2.0-1) unstable; urgency=low

   * Added new Artist view (accessible by longpress in playlist / search results / playqueue views).
   * Added Last.fm scrobbling support (Enabling of scrobbling / Last.fm user credentials configured via the Settings dialog).
   * Added access to Album review (Album view).
   * Search results / playlist view can be sorted by most popular using the 'm' key.
   * Misc. fixes (e.g., fixed handling of Scandinavian characters in the username / password at login; fixed problems with shuffle mode).
   
 -- Andreas Enbacka <aenbacka@gmail.com>  Sun,  28 Nov 2010 13:29:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: Andreas Enbacka <aenbacka@gmail.com>
-Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20100928-2), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev
+Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20101125-1), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev
 Standards-Version: 3.7.2
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1666
 
 Package: qspot
 Architecture: any
-Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20100928-2), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
+Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libqt4-network (>=4.6.2~git20100401-0maemo1+0m5), libqt4-xml (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20101125-1), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
 Description: A Qt-based Spotify client based on libopenspotify for the N900/Maemo5
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## qspot 0.2.0-2

=== debian/changelog ===
qspot (0.2.0-2) unstable; urgency=low

   * Minor fix to displaying of year info (Artist view)
   * Updated libopenspotify dependency (to ver. 20101129-1), which fix problem with fallback to default 160k track if preferred bitrate is 
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Mon,  29 Nov 2010 09:19:00 +0000

## qspot 0.2.0-3

=== debian/changelog ===
qspot (0.2.0-3) unstable; urgency=low

   * Updated version number in About dialog.
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Mon,  29 Nov 2010 10:23:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: Andreas Enbacka <aenbacka@gmail.com>
-Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20101125-1), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev
+Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20101129-1), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev
 Standards-Version: 3.7.2
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1666
 
 Package: qspot
 Architecture: any
-Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libqt4-network (>=4.6.2~git20100401-0maemo1+0m5), libqt4-xml (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20101125-1), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
+Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libqt4-network (>=4.6.2~git20100401-0maemo1+0m5), libqt4-xml (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20101129-1), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
 Description: A Qt-based Spotify client based on libopenspotify for the N900/Maemo5
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## qspot 0.2.1-1

=== src/src/Makefile ===
#############################################################################
# Makefile for building: ../qspot
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Dec 22 21:15:09 2010
# Project:  ../src.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix PREFIX=/usr -o Makefile ../src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="../debian/qspot/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -I/usr/include/libplayback-1 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -I/usr/include/libplayback-1 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I../../src -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I. -I../../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -l:libopenspotify.so.4 -lpulse-simple -losso -ldbus-glib-1 -lgobject-2.0 -lglib-2.0 -lplayback-1 -ldbus-1 -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../main.cpp \
		../mainwindow.cpp \
		../logindialog.cpp \
		../TrackView.cpp \
		../qspotify_src/user.cpp \
		../qspotify_src/trackcollection.cpp \
		../qspotify_src/track.cpp \
		../qspotify_src/spotifysession.cpp \
		../qspotify_src/search.cpp \
		../qspotify_src/playlist.cpp \
		../qspotify_src/link.cpp \
		../qspotify_src/imagecontainer.cpp \
		../qspotify_src/error.cpp \
		../qspotify_src/artistcatalogue.cpp \
		../qspotify_src/artist.cpp \
		../qspotify_src/albumbrowser.cpp \
		../qspotify_src/album.cpp \
		../qspotify_src/PlaybackThread.cpp \
		../CustomSlider.cpp \
		../SpectrumAnalyzer.cpp \
		../QueueView.cpp \
		../customlabel.cpp \
		../SettingsDialog.cpp \
		../ListViewDelegate.cpp \
		../PickSelectorAction.cpp \
		../CListView.cpp \
		../OssoWrapper.cpp \
		../AlbumView.cpp \
		../CustomTextDialog.cpp \
		../artistview.cpp \
		../lastfmscrobbler.cpp moc_mainwindow.cpp \
		moc_logindialog.cpp \
		moc_TrackView.cpp \
		moc_user.cpp \
		moc_trackcollection.cpp \
		moc_track.cpp \
		moc_spotifysession.cpp \
		moc_playlist.cpp \
		moc_imagecontainer.cpp \
		moc_artistcatalogue.cpp \
		moc_artist.cpp \
		moc_album.cpp \
		moc_PlaybackThread.cpp \
		moc_CustomSlider.cpp \
		moc_SpectrumAnalyzer.cpp \
		moc_QueueView.cpp \
		moc_customlabel.cpp \
		moc_SettingsDialog.cpp \
		moc_ListViewDelegate.cpp \
		moc_PickSelectorAction.cpp \
		moc_CListView.cpp \
		moc_OssoWrapper.cpp \
		moc_AlbumView.cpp \
		moc_CustomTextDialog.cpp \
		moc_artistview.cpp \
		moc_lastfmscrobbler.cpp
OBJECTS       = main.o \
		mainwindow.o \
		logindialog.o \
		TrackView.o \
		user.o \
		trackcollection.o \
		track.o \
		spotifysession.o \
		search.o \
		playlist.o \
		link.o \
		imagecontainer.o \
		error.o \
		artistcatalogue.o \
		artist.o \
		albumbrowser.o \
		album.o \
		PlaybackThread.o \
		CustomSlider.o \
		SpectrumAnalyzer.o \
		QueueView.o \
		customlabel.o \
		SettingsDialog.o \
		ListViewDelegate.o \
		PickSelectorAction.o \
		CListView.o \
		OssoWrapper.o \
		AlbumView.o \
		CustomTextDialog.o \
		artistview.o \
		lastfmscrobbler.o \
		moc_mainwindow.o \
		moc_logindialog.o \
		moc_TrackView.o \
		moc_user.o \
		moc_trackcollection.o \
		moc_track.o \
		moc_spotifysession.o \
		moc_playlist.o \
		moc_imagecontainer.o \
		moc_artistcatalogue.o \
		moc_artist.o \
		moc_album.o \
		moc_PlaybackThread.o \
		moc_CustomSlider.o \
		moc_SpectrumAnalyzer.o \
		moc_QueueView.o \
		moc_customlabel.o \
		moc_SettingsDialog.o \
		moc_ListViewDelegate.o \
		moc_PickSelectorAction.o \
		moc_CListView.o \
		moc_OssoWrapper.o \
		moc_AlbumView.o \
		moc_CustomTextDialog.o \
		moc_artistview.o \
		moc_lastfmscrobbler.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../src.pro
QMAKE_TARGET  = qspot
DESTDIR       = ../
TARGET        = ../qspot

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix PREFIX=/usr -o Makefile ../src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix PREFIX=/usr -o Makefile ../src.pro

dist: 
	@$(CHK_DIR_EXISTS) ../.tmp/qspot1.0.0 || $(MKDIR) ../.tmp/qspot1.0.0

=== debian/changelog ===
qspot (0.2.1-1) unstable; urgency=low

   * Updated libopenspotify dependency.
   * Modified Now Playing handling; when a track is selected for playback from a playlist, all the tracks from the playlist is moved to Now Playing (and the selected track is activated).
   * Modified Artist View handling; albums are now sorted under categories 'Albums' (the browsed artist's albums and singles) and 'Appears on' (all other albums on which the browsed artist appears on).
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Wed,  22 Dec 2010 20:52:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: Andreas Enbacka <aenbacka@gmail.com>
-Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20101129-1), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev
+Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20101221-1), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev
 Standards-Version: 3.7.2
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1666
 
 Package: qspot
 Architecture: any
-Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libqt4-network (>=4.6.2~git20100401-0maemo1+0m5), libqt4-xml (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20101129-1), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
+Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libqt4-network (>=4.6.2~git20100401-0maemo1+0m5), libqt4-xml (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20101221-1), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
 Description: A Qt-based Spotify client based on libopenspotify for the N900/Maemo5
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## qspot 0.8.0-1

=== debian/changelog ===
qspot (0.8.0-1) unstable; urgency=low

   * Version number incremented.
   * Includes the functionality and fixes implemented in versions 0.2.1-9 to 0.2.1-11.
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Fri,  04 Feb 2011 11:23:00 +0000

qspot (0.2.1-11) unstable; urgency=low

   * Minor bug fix (display state handling).
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Wed,  02 Feb 2011 18:45:00 +0000

qspot (0.2.1-10) unstable; urgency=low

   * Misc. bug fixes (e.g., problem when playback started automatically when hanging up call, despite the user having paused the playback manually).
   * Pausing delay minimised.
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Wed,  02 Feb 2011 13:01:00 +0000

qspot (0.2.1-9) unstable; urgency=low

   * Beta version (for testing).
   * Added portrait mode support (display orientation selectable via the Settings dialog).
   * Added possibility to change the playlist loading timeout value (via Settings dialog).
   * Misc. fixes.
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Sat,  29 Jan 2011 22:20:00 +0000

## qspot 0.8.0-2

=== src/Makefile ===
#############################################################################
# Makefile for building: qspot
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Dec 22 21:11:39 2010
# Project:  ../qspot.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix PREFIX=/usr -o Makefile ../qspot.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/maemo/MyDocs/qspot/src/src.pro -unix PREFIX=/usr -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/maemo/MyDocs/qspot/src/src.pro -unix PREFIX=/usr -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: ../qspot.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix PREFIX=/usr -o Makefile ../qspot.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix PREFIX=/usr -o Makefile ../qspot.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
check: sub-src-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== debian/changelog ===
qspot (0.8.0-2) unstable; urgency=low

   * Bugfix related to display orientation handling.
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Sat,  05 Feb 2011 16:48:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: Andreas Enbacka <aenbacka@gmail.com>
-Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20101221-1), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev
+Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20110204-1), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev, mce-dev
 Standards-Version: 3.7.2
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1666
 
 Package: qspot
 Architecture: any
-Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libqt4-network (>=4.6.2~git20100401-0maemo1+0m5), libqt4-xml (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20101221-1), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
+Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libqt4-network (>=4.6.2~git20100401-0maemo1+0m5), libqt4-xml (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20110204-1), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
 Description: A Qt-based Spotify client based on libopenspotify for the N900/Maemo5
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := qspot

builddir:
	mkdir -p builddir 

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
       # Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
        # Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

        # Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) DESTDIR=$(CURDIR)../debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip #--dbg-package=my-application-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	#dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qspot 0.8.1-1

=== debian/changelog ===
qspot (0.8.1-1) unstable; urgency=low

   * Fixed problem with crashes when searching / loading certain playlists (and tracks without valid artist / artists was returned). 
  
 -- Andreas Enbacka <aenbacka@gmail.com>  Sun,  06 Feb 2011 12:31:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: Andreas Enbacka <aenbacka@gmail.com>
-Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20110204-1), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev, mce-dev
+Build-Depends: debhelper (>= 5), maemo-optify (>= 0.2.1), libopenspotify-dev (>=20110206-1), libqt4-dev (>=4.6.2~git20100401-0maemo1+0m5), libpulse-dev (>= 0.9.15-1maemo27), libosso-dev, libplayback-1-dev, mce-dev
 Standards-Version: 3.7.2
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1666
 
 Package: qspot
 Architecture: any
-Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libqt4-network (>=4.6.2~git20100401-0maemo1+0m5), libqt4-xml (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20110204-1), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
+Depends: libqt4-core (>=4.6.2~git20100401-0maemo1+0m5), libqt4-gui (>=4.6.2~git20100401-0maemo1+0m5), libqt4-maemo5 (>=4.6.2~git20100401-0maemo1+0m5), libqt4-dbus (>=4.6.2~git20100401-0maemo1+0m5), libqt4-network (>=4.6.2~git20100401-0maemo1+0m5), libqt4-xml (>=4.6.2~git20100401-0maemo1+0m5), libopenspotify (>=20110206-1), libpulse0 (>= 0.9.15-1maemo27), libosso1 (>=2.23), libplayback-1-0 (>=0.5-21+0m5),  libdbus-1-3 (>=1.2.14-0maemo4+0m5)
 Description: A Qt-based Spotify client based on libopenspotify for the N900/Maemo5
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
